## Installation

Add this line to your application's Gemfile:

```ruby
gem 'targetmy'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install targetmy

## Usage

Please download the driver from http://chromedriver.storage.googleapis.com/index.html and place it somewhere on your PATH.
```ruby
require 'targetmy'

config = [{
  type: :site,
  link: "example.com",
  adv_products: {
    type: :teaser,
    campaign_name: 'example',
    ads: [{
      title: 'title',
      text: 'text',
      image: '/path/to/image.png'
    },{
      title: 'title2',
      text: 'text2',
      image: '/path/to/image.png'
    }]
  }
}]

robot = Targetmy::Robot.new config: config
robot.start("email", "password")
```
To display supported and mandatory config keys:
```ruby
p Targetmy::Config::SUPPORTED_ADV_TYPES
p Targetmy::Config::Site::REQUIRED_KEYS
p Targetmy::Config::Site::SUPPORTED_KEYS
p Targetmy::Config::Site::SUPPORTED_ADV_PRODUCTS
p Targetmy::Config::Site::SUPPORTED_ADV_PRODUCTS
p Targetmy::Config::Site::Teaser::REQUIRED_KEYS
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/targetmy. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

